Bug 1032120 - Fix NPE in SwitchYard editor
Fix NPE in SwitchYard editor
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
high Severity urgent
: CR2
: ---
Assigned To: Rob Cernich
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 10:16 EST by Brian Fitzpatrick
Modified: 2015-08-02 19:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1838 Critical Closed Fix NPE in SwitchYard editor 2014-06-16 19:52:24 EDT

  None (edit)
Description Brian Fitzpatrick 2013-11-19 10:16:01 EST
Description of problem:
NPE when trying to open SwitchYard editor:
{noformat}
ava.lang.NullPointerException
	at org.eclipse.ui.part.MultiPageEditorPart.pageChange(MultiPageEditorPart.java:843)
	at org.switchyard.tools.ui.editor.impl.MultiPageEditor.pageChange(MultiPageEditor.java:733)
	at org.eclipse.ui.part.MultiPageEditorPart$2.widgetSelected(MultiPageEditorPart.java:292)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:248)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1392)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1416)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1401)
	at org.eclipse.swt.widgets.Widget.notifyListeners(Widget.java:1187)
	at org.eclipse.swt.custom.CTabFolder.setSelection(CTabFolder.java:3080)
	at org.eclipse.swt.custom.CTabFolder.onFocus(CTabFolder.java:1631)
	at org.eclipse.swt.custom.CTabFolder$1.handleEvent(CTabFolder.java:274)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1392)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1416)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1397)
	at org.eclipse.swt.widgets.Control.sendFocusEvent(Control.java:3839)
	at org.eclipse.swt.widgets.Control.gtk_event_after(Control.java:3119)
	at org.eclipse.swt.widgets.Widget.windowProc(Widget.java:2085)
	at org.eclipse.swt.widgets.Control.windowProc(Control.java:5467)
	at org.eclipse.swt.widgets.Display.windowProc(Display.java:4569)
	at org.eclipse.swt.internal.gtk.OS._gtk_main_do_event(Native Method)
	at org.eclipse.swt.internal.gtk.OS.gtk_main_do_event(OS.java:8742)
	at org.eclipse.swt.widgets.Display.eventProc(Display.java:1243)
	at org.eclipse.swt.internal.gtk.OS._g_main_context_iteration(Native Method)
	at org.eclipse.swt.internal.gtk.OS.g_main_context_iteration(OS.java:2288)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3361)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$9.run(PartRenderingEngine.java:1113)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:997)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:138)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:610)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:567)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:150)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:124)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:354)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:181)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:636)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:591)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1450)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1426)
{noformat}

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
The problem appears consistently after opening the web service explorer. See https://docs.jboss.org/author/display/SWITCHYARD/Tutorial - "Test the Deployed Service" for how to open the Web Service Explorer.

But the basic set of steps is:

1. Open a switchyard.xml file
2. Open web service explorer.
3. Close web service explorer
4. Close switchyard edtor.
5. Open switchyard editor -> boom.



Actual results:
NPE causing editor not to open correctly.

Expected results:
Editor opens normally.

Additional info:
Only workaround for the bug is to close the workbench and reopen.
Comment 2 JBoss JIRA Server 2013-11-19 16:17:32 EST
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1838

pushed
Comment 3 Andrej Podhradsky 2013-12-16 08:29:05 EST
Verified with FSW 6.0.0.ER7 + JBDS-IS 6.0.0.CR1
Comment 4 JBoss JIRA Server 2014-06-16 19:52:24 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1838 to Closed

Note You need to log in before you can comment on or make changes to this bug.